Fonts
List Google Fonts
Lists fonts from the Google Fonts catalog for use in themes, most popular first by default. Search by family name with q and filter by category, subset, or capability. Uses page-number pagination with page (default 1) and per_page (default 50, max 100). Returns 503 when the Google Fonts catalog is unavailable. Restricted to company admin tokens.
GET
/
api
/
google_fonts
List Google Fonts
curl --request GET \
--url https://api.fluid.app/api/google_fonts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/google_fonts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/google_fonts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/google_fonts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/google_fonts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/google_fonts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/google_fonts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"google_fonts": [
{
"family": "Roboto",
"category": "sans-serif",
"variants": [
"regular",
"italic",
"700"
],
"subsets": [
"latin",
"latin-ext"
],
"version": "v47",
"last_modified": "2026-08-12",
"kind": "webfonts#webfont",
"menu_url": "https://fonts.gstatic.com/s/roboto/v47/KFOmCnqEu92Fr1Me4GZNCzcPK4I.ttf",
"files": {
"700": "https://fonts.gstatic.com/s/roboto/v47/KFOlCnqEu92Fr1MmWUlfBBc9.ttf",
"regular": "https://fonts.gstatic.com/s/roboto/v47/KFOmCnqEu92Fr1Mu4mxP.ttf",
"italic": "https://fonts.gstatic.com/s/roboto/v47/KFOkCnqEu92Fr1Mu51xIIzc.ttf"
},
"axes": null,
"tags": null,
"color_capabilities": null
}
],
"meta": {
"request_id": "8f3c2a71-5d4e-4b9a-9c61-2e7f0d4b8a15",
"timestamp": "2026-09-18T14:32:07Z",
"total_count": 1,
"current_page": 1,
"per_page": 50,
"total_pages": 1
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Query Parameters
⌘I
List Google Fonts
curl --request GET \
--url https://api.fluid.app/api/google_fonts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/google_fonts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/google_fonts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/google_fonts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/google_fonts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/google_fonts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/google_fonts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"google_fonts": [
{
"family": "Roboto",
"category": "sans-serif",
"variants": [
"regular",
"italic",
"700"
],
"subsets": [
"latin",
"latin-ext"
],
"version": "v47",
"last_modified": "2026-08-12",
"kind": "webfonts#webfont",
"menu_url": "https://fonts.gstatic.com/s/roboto/v47/KFOmCnqEu92Fr1Me4GZNCzcPK4I.ttf",
"files": {
"700": "https://fonts.gstatic.com/s/roboto/v47/KFOlCnqEu92Fr1MmWUlfBBc9.ttf",
"regular": "https://fonts.gstatic.com/s/roboto/v47/KFOmCnqEu92Fr1Mu4mxP.ttf",
"italic": "https://fonts.gstatic.com/s/roboto/v47/KFOkCnqEu92Fr1Mu51xIIzc.ttf"
},
"axes": null,
"tags": null,
"color_capabilities": null
}
],
"meta": {
"request_id": "8f3c2a71-5d4e-4b9a-9c61-2e7f0d4b8a15",
"timestamp": "2026-09-18T14:32:07Z",
"total_count": 1,
"current_page": 1,
"per_page": 50,
"total_pages": 1
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}